Subject: openbios-qemu-ppc fails to build on aarch64

From: Akira Kyle <[email-masked]>
Date: Sun, 29 Jan 2023 17:52:23 -0700

Andrew Patterson wrote on 17 Jan 06:16 +0100:

> I've submitted an issue to upstream: 
> https://github.com/openbios/openbios/issues/11

It looks like from the other open issues, that the openbios team doesn't actually use the github issue tracker but their own mailing list, which I'm CC'ing, along with the qemu-ppc mailing list.

For anyone following this issue who wants to work around it and be able to `guix system reconfigure` on aarch64, I've copied the qemu package definition from before Marius unbundled a bunch of the qemu firmware, including openbios, to here:
https://github.com/akirakyle/guix-channel/blob/master/akira/qemu.scm

The relevant parts of my system config are then

(use-modules (akira qemu))

(define %qemu-package-replacements
  `((,qemu-minimal . ,my-qemu-minimal)))

(define with-my-qemu
  (package-input-rewriting %qemu-package-replacements))

(define my-grub-efi
  (with-my-qemu grub-efi))

(define my-grub-efi-bootloader
  (bootloader 
   (inherit grub-efi-bootloader)
   (package my-grub-efi)))

(operating-system
...
  (bootloader (bootloader-configuration
               (bootloader my-grub-efi-bootloader)
               (targets '("/boot"))
               (keyboard-layout keyboard-layout)))
...)